Skip to main content
`Ctrl`+`K`

# SVDPRIMMESetBlockSize

The maximum block size that PRIMME will try to use.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDPRIMMESetBlockSize(SVD svd,PetscInt bs)

Logically Collective

## Input Parameters

- svd - the singular value solver context

- bs - block size

## Options Database Key

- -svd_primme_blocksize bs - sets the maximux allowed block size

## Notes

If the block size is not set, the value established by `primme_svds_initialize` is used.

The user should set the block size based on the architecture specifics of the target computer, as well as any a priori knowledge of multiplicities. The code does NOT require `bs` > 1 to find multiple eigenvalues. For some methods, keeping `bs` = 1 yields the best overall performance.

See the documentation of PRIMME [Stathopoulos and McCombs, 2010] for details.

## References

[Sta10]

A. Stathopoulos and J. R. McCombs. PRIMME: PReconditioned Iterative MultiMethod Eigensolver: methods and software description. ACM Trans. Math. Software, 37(2):21:1–21:30, 2010. doi:10.1145/1731022.1731031.

## See Also

SVD: Singular Value Decomposition, `SVDPRIMME`, `SVDPRIMMEGetBlockSize()`

## Level

advanced

## Location

src/svd/impls/external/primme/svdprimme.c

## Implementations

SVDPRIMMESetBlockSize_PRIMME() in src/svd/impls/external/primme/svdprimme.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages